com.sun.jna.platform.win32

## Class OaIdl.DISPID

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.LONG
      - - com.sun.jna.platform.win32.OaIdl.DISPID

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.LONG>
  Direct Known Subclasses:
    OaIdl.MEMBERID
  Enclosing interface:
    OaIdl

      public static class OaIdl.DISPID
      extends WinDef.LONG

  The Class DISPID.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinDef.LONG

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OaIdl.DISPID()`
    `OaIdl.DISPID(int value)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinDef.LONG

      `compareTo`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OaIdl.DISPID

          public OaIdl.DISPID()

    - #### OaIdl.DISPID

          public OaIdl.DISPID(int value)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.